RubyGems.org

wordnet

1.0.0.pre.136

This library is a Ruby interface to WordNet®. WordNet® is an online lexical reference system whose design is inspired by current psycholinguistic theories of human lexical memory. English nouns, verbs, adjectives and adverbs are organized into synonym sets, each representing one underlying lexical concept. Different relations link the synonym sets. It uses WordNet-SQL, which is a conversion of the lexicon flatfiles into a relational database format. You can either install the 'wordnet- defaultdb' gem, which packages up the SQLite3 version of WordNet-SQL, or install your own and point the lexicon at it by passing a Sequel URL to the constructor.

installgem install wordnet -v 1.0.0.pre.136 --pre
Authors

Michael Granger

6,200 total downloads 257 for this version
Owners

10ffad34687d0045466c257cb92ff2b304cdb622ce0aac272b61f23f373e2abf

Gemfile
gem 'wordnet', '~> 1.0.0.pre.136'
Versions
  1. 1.0.0 October 1, 2012 (39.5 KB)
  2. 1.0.0.pre.141 September 6, 2012 (38.5 KB)
  3. 1.0.0.pre.140 September 6, 2012 (38.5 KB)
  4. 1.0.0.pre.139 September 5, 2012 (37.5 KB)
  5. 1.0.0.pre.136 August 15, 2012 (33 KB)
Show all versions (9 total)